Reference

Search API

Endpoints under /api/search, from the com_search API controllers. Authenticate with an OAuth bearer token or a session cookie; see the developers book for the API basics.

Method Endpoint Purpose
GET /search/getHubTypes Display a list of hub types for a term
GET /search/list Display a list of entries
GET /search/suggest Display a list of suggestions for a term
GET /search/typeSuggestions Get suggestions for submitted terms

GET /search/getHubTypes

Display a list of hub types for a term

API version 1.0, task getHubTypes in searchv1_0.php.

Parameter Type Required Default Description
terms string yes : Terms to search for.

GET /search/list

Display a list of entries

API version 1.0, task list in searchv1_0.php.

Parameter Type Required Default Description
type string no Content type (groups, members, etc.)
limit integer no 10 Number of result to return.
start integer no 0 Number of where to start returning results.
terms string yes : Terms to search for.
sortBy string no Field to sort results by.
sortDir string no Direction to sort results by.
filters array no [] Filters to apply to results.

GET /search/suggest

Display a list of suggestions for a term

API version 1.0, task suggest in searchv1_0.php.

Parameter Type Required Default Description
terms string yes Terms to get suggestions for.

GET /search/typeSuggestions

Get suggestions for submitted terms

API version 1.0, task typeSuggestions in searchv1_0.php.

Parameter Type Required Default Description
terms string yes Terms to search for.

Generated from the source tree.